package it.polimi.dei.esercitazioniIngegneriaDelSoftware.swing.calculator.handlers;

import it.polimi.dei.esercitazioniIngegneriaDelSoftware.swing.calculator.controller.CalculatorController;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * Handler per la gestione di un click del bottone
 * che resetta lo stato della calcolatrice. 
 */  
public class CancelButtonHandler implements ActionListener {

  private final CalculatorController controller;
  
  public CancelButtonHandler(CalculatorController controller){
    this.controller = controller;
  }
  
  @Override
  public void actionPerformed(ActionEvent e) {
    this.controller.reset();
  }

}
