package it.polimi.dei.esercitazioniIngegneriaDelSoftware.swing.calculator.handlers;

import it.polimi.dei.esercitazioniIngegneriaDelSoftware.swing.calculator.controller.CalculatorController;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * Handler per la gestione di un click del bottone
 * che rappresenta una cifra.
 */
public class DigitsButtonControllerHandler implements ActionListener {

  private final CalculatorController controller;
  
  public DigitsButtonControllerHandler(CalculatorController controller) {
   this.controller = controller;
  }
  
  @Override
  public void actionPerformed(ActionEvent e) {
    this.controller.pressDigit();
  }
}
