package it.polimi.dei.esercitazioniIngegneriaDelSoftware.swing.calculator.handlers;

import it.polimi.dei.esercitazioniIngegneriaDelSoftware.swing.calculator.view.CalculatorGUI;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class DigitsButtonGuiHandler implements ActionListener {

  private final ActionListener digitModelButtonHandler;
  private final CalculatorGUI gui;
  private final int digit;
  
  public DigitsButtonGuiHandler(CalculatorGUI gui, ActionListener digitModelButtonHandler, int digit) {
    this.gui = gui;
    this.digitModelButtonHandler = digitModelButtonHandler;
    this.digit = digit;
  }

  @Override
  public void actionPerformed(ActionEvent e) {
    this.gui.addDigit(digit);
    /* forward evento */
    digitModelButtonHandler.actionPerformed(e);
  }

}
