package it.polimi.dei.esercitazioniIngegneriaDelSoftware.swing.calculator.logging;

import java.io.PrintStream;

import it.polimi.dei.esercitazioniIngegneriaDelSoftware.swing.calculator.model.CalculatorModelEvent;

public final class ModelEventLogger {
    
  private static ModelEventLogger logger;
  
  public static ModelEventLogger getInstance() {
    if (ModelEventLogger.logger == null)
      return new ModelEventLogger();
    else
      return ModelEventLogger.logger;
  }
  
  private final PrintStream stream = System.out;
  
  public void log(CalculatorModelEvent event) {
    if (event != null)
      stream.println("New Event generated: " + event.representation());
  }
  
}
