package it.polimi.dei.esercitazioniIngegneriaDelSoftware.swing.calculator.handlers;

import it.polimi.dei.esercitazioniIngegneriaDelSoftware.swing.calculator.view.CalculatorGUI;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * Handler per la gestione di un click del bottone
 * che rappresenta la virgola. Agisce solo sulla vista
 * aggiungendo il simbolo corrispondente nella JTextField
 * che contiene l'operando corrente.
 */
public class DotButtonHandler implements ActionListener {

  private final CalculatorGUI gui;
  
  public DotButtonHandler(CalculatorGUI gui) {
    this.gui = gui;
  }
  
  @Override
  public void actionPerformed(ActionEvent arg0) {
    gui.addDot();
  }
}
