package it.polimi.dei.esercitazioniIngegneriaDelSoftware.swing.calculator.handlers;

import it.polimi.dei.esercitazioniIngegneriaDelSoftware.swing.calculator.controller.CalculatorController;
import it.polimi.dei.esercitazioniIngegneriaDelSoftware.swing.calculator.model.Operation;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * Handler per la gestione di un click di un bottone
 * che rappresenta una operazione. 
 */
class OperationButtonHandler implements ActionListener {

  private final Operation operation;
  private final CalculatorController controller;

  public OperationButtonHandler(CalculatorController controller, 
      Operation operation) {
    this.controller = controller;
    this.operation = operation;
  }

  public void actionPerformed(ActionEvent e) {
    this.controller.setCurrentOperation(operation);
  }

}
