package it.polimi.dei.esercitazioniIngegneriaDelSoftware.swing.calculator.view;

import it.polimi.dei.esercitazioniIngegneriaDelSoftware.swing.calculator.model.CalculatorModelEvent;

/**
 * Interfaccia usata dal modello per mantenere
 * la UI coerente con lo stato della calcolatrice.
 *
 */
public interface CalculatorView {

  /**
   * Notifica alla vista l'occorrenza di un evento
   * nel modello.
   * @param event Un evento di cambio di stato nel modello.
   */
  public void notify(CalculatorModelEvent event);

  public String getOperandRepresentation();
  public void addDigit(int digit);

  
}
